﻿if ((GetLocale() == "enUS") or (LFMonitor.TEXT == nil)) then

	local bz = LFMonitor.BZ
	local bb = LFMonitor.BB
	local l = string.lower

	--local function l(text)

	--	return string.lower(text)

	--end

-- Word matching pattern
  LFMonitor.WORD_PATTERN = "[%a%d']*%a[%a%d']*"

-- Chat commands
	LFMonitor.CHAT_COMMANDS = {"lfmonitor", "lfmon"}

-- Whisper command
	LFMonitor.WHISPER_COMMAND = "/w"

--fonts
	LFMonitor.FONT_FRIZ = "Friz Quadrata TT"
	LFMonitor.FONT_ARIALN = "Arial Narrow"
	LFMonitor.FONT_SKURRI = "Skurri"
	LFMonitor.FONT_MORPHEUS = "Morpheus"

--timestamps
	LFMonitor.TS_12HR1 = "12h h:m"
	LFMonitor.TS_12HR2 = "12h h:m:s"
	LFMonitor.TS_12HR3 = "12h h:m am/pm"
	LFMonitor.TS_12HR4 = "12h h:m:s am/pm"
	LFMonitor.TS_24HR1 = "24h h:m"
	LFMonitor.TS_24HR2 = "24h h:m:s"

--appearance options
	LFMonitor.APPEARANCE_OPTIONS = "Appearance options"
	LFMonitor.TIMESTAMP = "Timestamp"
	LFMonitor.MESSAGE_TEXT = "Message text"
	LFMonitor.TEXT = "Text"
	LFMonitor.WINDOW = "Window"
	LFMonitor.FONT = "Font"
	LFMonitor.TIMESTAMP_FORMAT = "Timestamp format"

	if (GetCVar("locale") == "enGB") then

		LFMonitor.CLASS_COLOUR_TEXT = "Use class colours"

	else

		LFMonitor.CLASS_COLOUR_TEXT = "Use class colors"

	end

--profession options
	LFMonitor.SET_LOOKING_FOR = "Set the 'Looking For' professions to monitor"
	LFMonitor.PROF = "Looking for"

--responses options
	LFMonitor.RESPONSES = "Responses"
	LFMonitor.RESPONSES_TO_REQUESTS = "Responses to 'Looking For' requests"
	LFMonitor.SET_RESPONSES = "Set the responses to provide to requests"
	LFMonitor.WHISPER_ME = "Whisper me for prices"
	LFMonitor.LFG_RESPONSE = "Invite"

--general options
	LFMonitor.GENERAL_OPTIONS = "General options"
	LFMonitor.HIDE_IN_INSTANCES = "Hide in instances"
	LFMonitor.HIDE_IN_COMBAT = "Hide in combat"
	LFMonitor.SHOW_IN_CITIES = "Only show in major cities and inns"
	LFMonitor.TRADE_CHANNEL = "Only show when in Trade channel"
	LFMonitor.SOUND_ON = "Sound on"
	LFMonitor.LOCK = "Lock position and size"
	LFMonitor.CHANNELS = "Monitored channels"
	LFMonitor.CACHE_SIZE = "Cache size"
	LFMonitor.SENSITIVITY = "Filter sensitivity"

--custom search
	LFMonitor.CUSTOM_OPTIONS = "Custom monitoring"
	LFMonitor.CUSTOM_INST = "Enter a word or phrase you would like monitored"
	LFMonitor.CUSTOM_BASIC = "Basic search"
	LFMonitor.CUSTOM_ADV = "Advanced search"
	LFMonitor.CUSTOM_WARNING = "The box below will accept any lua pattern matching expression. This is for advanced users only. More information on lua patterns can be found at |cff00ff00http://www.wowwiki.com/Pattern_matching"
	LFMonitor.CUSTOM_CHANNELS = "Monitor Custom Channels"

--sounds
	LFMonitor.COINS = "Coins"
	LFMonitor.WINDOW_TAB = "Window tab"
	LFMonitor.MENU_OPENING = "Menu opening"
	LFMonitor.MINIMAP_OPENING = "Minimap opening"
	LFMonitor.SPELLBOOK_OPENING = "Spellbook opening"
	LFMonitor.SPELLBOOK_CLOSING = "Spellbook closing"
	LFMonitor.TALENTS_OPENING = "Talents opening"
	LFMonitor.QUEST_LOG_OPENING = "Quest log opening"
	LFMonitor.FISHING = "Fishing"
	LFMonitor.DISCOVERY = "Discovery"
	LFMonitor.APPLAUSE = "Applause"
	LFMonitor.BEEP = "Beep"
	LFMonitor.CLICK = "Click"
	LFMonitor.DOG_BARKING = "Dog barking"
	LFMonitor.MOUSE_CLICK = "Mouse click"
	LFMonitor.STAPLER = "Stapler"

--jewelcrafting
	LFMonitor.JEWELCRAFTING = "Jewelcrafting"

--enchanting
	LFMonitor.ENCHANTING = "Enchanting"

--leatherworking
	LFMonitor.LEATHERWORKING = "Leatherworking"

--inscription
	LFMonitor.INSCRIPTION = "Inscription"

--tailoring
	LFMonitor.TAILORING = "Tailoring"

--blacksmithing
	LFMonitor.BLACKSMITHING = "Blacksmithing"

--alchemy
    LFMonitor.ALCHEMY = "Alchemy"

--engineering
	LFMonitor.ENGINEERING = "Engineering"

--want to buy
	LFMonitor.ALL_WTB_REQUESTS = "All 'Want to buy' requests"

--want to sell
	LFMonitor.ALL_WTS_REQUESTS = "All 'Want to sell' requests"

--looking for
	LFMonitor.ALL_LFG_REQUESTS = "All 'Looking for group' requests"
	LFMonitor.ALL_LF_CRAFTER_REQUESTS = "All 'Looking for crafter' requests"
	LFMonitor.GENERAL_LF_REQUESTS = "General 'Looking for' requests"

--looking for work
	LFMonitor.ALL_LFW_REQUESTS = "All 'Looking for work' requests"

--looking for more
	LFMonitor.ALL_LFM_REQUESTS = "All 'Looking for more' requests"
	LFMonitor.LFM_OPTIONS = "'Looking For More' options"
	LFMonitor.LFM_LIMIT = "Show LFM only for these classes:"
	LFMonitor.LFM_ROLE_LIMIT = "And these roles:"
	LFMonitor.IGNORE_RAID = "Ignore raid settings"

--menu
-- in all the following section %s will be replaced with the player's name
	LFMonitor.AUTOREPLY = "Autoreply"
	LFMonitor.SEND_AUTO = "Send your autoresponse to %s"
	LFMonitor.IGNORE_LIST = "Add %s to your ignore list"
	LFMonitor.CLOSE_MENU = "Close this menu"
	LFMonitor.WHISPER = "Whisper %s"

--dialogues
	LFMonitor.CANNOT_SEND = "Cannot send an autoreponse - nothing to reply with!"
	LFMonitor.RESET_CONFIRM = "The will reset ALL LFMonitor's settings. Are you sure?"

--classes
	LFMonitor.classes = {
		["dk"] = "Death Knight",
		["dr"] = "Druid",
		["hu"] = "Hunter",
		["ma"] = "Mage",
		["pa"] = "Paladin",
		["pr"] = "Priest",
		["ro"] = "Rogue",
		["sh"] = "Shaman",
		["wa"] = "Warlock",
		["wr"] = "Warrior",
	}
	LFMonitor.roles = {
		["tank"] = "Tank / Flag Carrier",
		["healer"] = "Healer",
		["melee"] = "Melee Damage",
		["ranged"] = "Ranged Damage",
		["cc"] = "Crowd Control",
		["all"] = false
	}

	--raids
	LFMonitor.RAIDTITLE = "Set the instances to monitor"

	LFMonitor.RAIDS = {
		{rname = "Rated Battlegrounds", level = 85},
		{rname = "Arenas", level = 85},
		{rname = bz["Firelands"], level = 85},
		{rname = bz["Baradin Hold"], level = 85},
		{rname = bz["Blackwing Descent"], level = 85},
		{rname = bz["The Bastion of Twilight"], level = 85},
		{rname = bz["Throne of the Four Winds"], level = 85},
		{rname = bz["The Eye of Eternity"], level = 80},
		{rname = bz["Icecrown Citadel"], level = 80},
		{rname = bz["Naxxramas"], level = 80},
		{rname = bz["Onyxia's Lair"], level = 80},
		{rname = bz["The Obsidian Sanctum"], level = 80},
		{rname = bz["The Ruby Sanctum"], level = 80},
		{rname = bz["Trial of the Crusader"], level = 80},
		{rname = bz["Ulduar"], level = 80},
		{rname = bz["Vault of Archavon"], level = 80},
		{rname = bz["Mount Hyjal"], level = 70},
		{rname = bz["Black Temple"], level = 70},
		{rname = bz["Gruul's Lair"], level = 70},
		{rname = bz["Karazhan"], level = 70},
		{rname = bz["Magtheridon's Lair"], level = 70},
		{rname = bz["Serpentshrine Cavern"], level = 70},
		{rname = bz["Sunwell Plateau"], level = 70},
		{rname = bz["Tempest Keep"], level = 70},
		{rname = bz["Zul'Aman"], level = 85},
		{rname = bz["Blackwing Lair"], level = 60},
		{rname = bz["Molten Core"], level = 60},
		{rname = bz["Ruins of Ahn'Qiraj"], level = 60},
		{rname = bz["Temple of Ahn'Qiraj"], level = 60},
		{rname = bz["Zul'Gurub"], level = 85},
		{rname = bz["Upper Blackrock Spire"], level = 56}
	}

	LFMonitor.words = {
	  exact = {
		["lf8m"] = {
		  ["type"] = {
			["LFM"] = 1,
		  },
		},
		["jw"] = {
		  ["prof"] = {
			["jc"] = 0.5,
		  },
		},
		["dk"] = {
		  ["class"] = {
			["dk"] = 1,
		  },
		},
		["os"] = {
		  ["raid"] = {
			[l(bz["The Obsidian Sanctum"])] = 0.5,
		  },
		},
		["lw"] = {
		  ["prof"] = {
			["lw"] = 1,
		  },
		},
		["bg"] = {
		  ["raid"] = {
			["Rated Battlegrounds"] = 0.5,
		  },
		},
		["rs"] = {
		  ["raid"] = {
			[l(bz["The Ruby Sanctum"])] = 1,
		  },
		},
		["cc"] = {
		  ["role"] = {
			["cc"] = 0.5,
		  },
		},
		["lfg"] = {
		  ["type"] = {
			["LFM"] = 0,
			["LFPROF"] = 0,
			["LFW"] = 0,
			["LFG"] = 1,
		  },
		},
		["mc"] = {
		  ["raid"] = {
			[l(bz["Molten Core"])] = 1,
		  },
		},
		["lf1"] = {
		  ["type"] = {
			["LFM"] = 1,
		  },
		},
		["mt"] = {
		  ["role"] = {
			["tank"] = 1,
		  },
		},
		["lf4"] = {
		  ["type"] = {
			["LFM"] = 1,
		  },
		},
		["2s"] = {
		  ["raid"] = {
			["Arenas"] = 1,
		  },
		},
		["3s"] = {
		  ["raid"] = {
			["Arenas"] = 1,
		  },
		},
		["lf7m"] = {
		  ["type"] = {
			["LFM"] = 1,
		  },
		},
		["lf4m"] = {
		  ["type"] = {
			["LFM"] = 1,
		  },
		},
		["5s"] = {
		  ["raid"] = {
			["Arenas"] = 1,
		  },
		},
		["wtb"] = {
		  ["type"] = {
			["WTS"] = 0,
		  },
		},
		["lf5"] = {
		  ["type"] = {
			["LFM"] = 1,
		  },
		},
		["bs"] = {
		  ["prof"] = {
			["bs"] = 1,
		  },
		},
		["kz"] = {
		  ["raid"] = {
			[l(bz["Karazhan"])] = 1,
		  },
		},
		["lf2"] = {
		  ["type"] = {
			["LFM"] = 1,
		  },
		},
		["lf5m"] = {
		  ["type"] = {
			["LFM"] = 1,
		  },
		},
		["tk"] = {
		  ["raid"] = {
			[l(bz["Tempest Keep"])] = 1,
		  },
		},
		["healer"] = {
		  ["role"] = {
			["healer"] = 1,
		  },
		  ["raid"] = {
			[l(bz["Tempest Keep"])] = 0,
		  },
		},
		["lf6"] = {
		  ["type"] = {
			["LFM"] = 1,
		  },
		},
		["lfm"] = {
		  ["type"] = {
			["LFM"] = 1,
			["LFPROF"] = 0,
			["LFW"] = 0,
			["LFG"] = 0,
		  },
		},
		["lk"] = {
		  ["raid"] = {
			[l(bz["Icecrown Citadel"])] = 1,
		  },
		},
		["lf3"] = {
		  ["type"] = {
			["LFM"] = 1,
		  },
		},
		["lf2m"] = {
		  ["type"] = {
			["LFM"] = 1,
		  },
		},
		["ot"] = {
		  ["role"] = {
			["tank"] = 1,
		  },
		},
		["aq"] = {
		  ["raid"] = {
			[l(bz["Ruins of Ahn'Qiraj"])] = 0.5,
			[l(bz["Temple of Ahn'Qiraj"])] = 0.5,
		  },
		},
		["lf7"] = {
		  ["type"] = {
			["LFM"] = 1,
		  },
		},
		["wts"] = {
		  ["type"] = {
			["WTS"] = 1,
			["WTB"] = 0,
		  },
		},
		["bh20"] = {
		  ["raid"] = {
			[l(bz["Baradin Hold"])] = 1,
		  },
		},
		["bh"] = {
		  ["raid"] = {
			[l(bz["Baradin Hold"])] = 1,
		  },
		},
		["lfw"] = {
		  ["type"] = {
			["LFPROF"] = 0,
		  },
		},
		["lf"] = {
		  ["type"] = {
			["LFM"] = 0.75,
			["LFPROF"] = 0.5,
			["LFW"] = 0,
			["LFG"] = 0.5,
		  },
		},
		["fc"] = {
		  ["role"] = {
			["tank"] = 1,
		  },
		  ["raid"] = {
			["Rated Battlegrounds"] = 0.5,
		  },
		},
		["lf6m"] = {
		  ["type"] = {
			["LFM"] = 1,
		  },
		},
		["zg"] = {
		  ["raid"] = {
			[l(bz["Zul'Gurub"])] = 1,
		  },
		},
		["mage"] = {
		  ["class"] = {
			["ma"] = 1,
		  },
		  ["raid"] = {
			[l(bz["Magtheridon's Lair"])] = 0,
		  },
		},
		["ml"] = {
		  ["raid"] = {
			[l(bz["Magtheridon's Lair"])] = 1,
		  },
		},
		["jc"] = {
		  ["prof"] = {
			["jc"] = 1,
		  },
		},
		["za"] = {
		  ["raid"] = {
			[l(bz["Zul'Aman"])] = 1,
		  },
		},
		["bt"] = {
		  ["raid"] = {
			[l(bz["Black Temple"])] = 0.75,
		  },
		},
		["lf8"] = {
		  ["type"] = {
			["LFM"] = 1,
		  },
		},
		["lf9m"] = {
		  ["type"] = {
			["LFM"] = 1,
		  },
		},
		["lf9"] = {
		  ["type"] = {
			["LFM"] = 1,
		  },
		},
		["lf3m"] = {
		  ["type"] = {
			["LFM"] = 1,
		  },
		},
		["only"] = {
		  ["raid"] = {
			[l(bz["Onyxia's Lair"])] = 0.5,
		  },
		},
		["fl"] = {
		  ["raid"] = {
			[l(bz["Firelands"])] = 1,
		  },
		},
	  },
	  fuzzy = {
		["icecrown"] = {
		  ["raid"] = {
			[l(bz["Icecrown Citadel"])] = 0.5,
		  },
		},
		["razorgore"] = {
		  ["raid"] = {
			[l(bz["Blackwing Lair"])] = 1,
		  },
		},
		["sulfuron"] = {
		  ["raid"] = {
			[l(bz["Molten Core"])] = 1,
		  },
		},
		[l(bb["Festergut"])] = {
		  ["raid"] = {
			[l(bz["Icecrown Citadel"])] = 1,
		  },
		},
		[l(bb["Alysrazor"])] = {
		  ["raid"] = {
			[l(bz["Firelands"])] = 1,
		  },
		},
		["azgalor"] = {
		  ["raid"] = {
			[l(bz["Mount Hyjal"])] = 1,
		  },
		},
		["restoration"] = {
		  ["class"] = {
			["dr"] = 0.5,
			["sh"] = 0.5,
		  },
		},
		[l(bb["Beth'tilac"])] = {
		  ["raid"] = {
			[l(bz["Firelands"])] = 1,
		  },
		},
		["rbg"] = {
		  ["raid"] = {
			["Rated Battlegrounds"] = 1,
		  },
		},
		[l(bb["Occu'thar"])] = {
		  ["raid"] = {
			[l(bz["Baradin Hold"])] = 1,
		  },
		},
		["beth"] = {
		  ["raid"] = {
			[l(bz["Firelands"])] = 1,
		  },
		},
		["occu"] = {
		  ["raid"] = {
			[l(bz["Baradin Hold"])] = 1,
		  },
		},
		["bwl40"] = {
		  ["raid"] = {
			[l(bz["Blackwing Lair"])] = 1,
		  },
		},
		["rbgs"] = {
		  ["raid"] = {
			["Rated Battlegrounds"] = 1,
		  },
		},
		["druid"] = {
		  ["class"] = {
			["dr"] = 1,
		  },
		},
		["geddon"] = {
		  ["raid"] = {
			[l(bz["Molten Core"])] = 1,
		  },
		},
		["faerlina"] = {
		  ["raid"] = {
			[l(bz["Naxxramas"])] = 1,
		  },
		},
		["bgs"] = {
		  ["raid"] = {
			["Rated Battlegrounds"] = 0.5,
		  },
		},
		["want"] = {
		  ["type"] = {
			["WTS"] = 0.5,
			["WTB"] = 0.5,
		  },
		},
		["ony25"] = {
		  ["raid"] = {
			[l(bz["Onyxia's Lair"])] = 1,
		  },
		},
		["akama"] = {
		  ["raid"] = {
			[l(bz["Black Temple"])] = 1,
		  },
		},
		["eoe"] = {
		  ["raid"] = {
			[l(bz["The Eye of Eternity"])] = 1,
		  },
		},
		["icc10"] = {
		  ["raid"] = {
			[l(bz["Icecrown Citadel"])] = 1,
		  },
		},
		["baradin"] = {
		  ["raid"] = {
			[l(bz["Baradin Hold"])] = 1,
		  },
		},
		["kara"] = {
		  ["raid"] = {
			[l(bz["Karazhan"])] = 1,
		  },
		},
		["raid"] = {
		  ["type"] = {
			["LFG"] = 0.5,
		  },
		},
		["alg"] = {
		  ["raid"] = {
			[l(bz["Ulduar"])] = 1,
		  },
		},
		["bwd25"] = {
		  ["raid"] = {
			[l(bz["Blackwing Descent"])] = 1,
		  },
		},
		["rhyolith"] = {
		  ["raid"] = {
			[l(bz["Firelands"])] = 1,
		  },
		},
		["toc"] = {
		  ["raid"] = {
			[l(bz["Trial of the Crusader"])] = 1,
		  },
		},
		["ruins"] = {
		  ["raid"] = {
			[l(bz["Ruins of Ahn'Qiraj"])] = 0.5,
		  },
		},
		["naxx10"] = {
		  ["raid"] = {
			[l(bz["Naxxramas"])] = 1,
		  },
		},
		["craft"] = {
		  ["prof"] = {
			["misc"] = 1,
		  },
		},
		["theralion"] = {
		  ["raid"] = {
			[l(bz["The Bastion of Twilight"])] = 1,
		  },
		},
		["sell"] = {
		  ["type"] = {
			["WTS"] = 0.5,
		  },
		},
		["val"] = {
		  ["raid"] = {
			[l(bz["The Bastion of Twilight"])] = 1,
		  },
		},
		["resto"] = {
		  ["class"] = {
			["dr"] = 0.5,
			["sh"] = 0.5,
		  },
		},
		["inscriptor"] = {
		  ["prof"] = {
			["ins"] = 1,
		  },
		},
		["gl25"] = {
		  ["raid"] = {
			[l(bz["Gruul's Lair"])] = 1,
		  },
		},
		["healers"] = {
		  ["role"] = {
			["healer"] = 1,
		  },
		},
		["togc"] = {
		  ["raid"] = {
			[l(bz["Trial of the Crusader"])] = 1,
		  },
		},
		[l(bb["Zul'jin"])] = {
		  ["raid"] = {
			[l(bz["Zul'Aman"])] = 1,
		  },
		},
		[l(bb["Shannox"])] = {
		  ["raid"] = {
			[l(bz["Firelands"])] = 1,
		  },
		},
		["tk25"] = {
		  ["raid"] = {
			[l(bz["Tempest Keep"])] = 1,
		  },
		},
		["heals"] = {
		  ["role"] = {
			["healer"] = 1,
		  },
		},
		[l(bb["Atramedes"])] = {
		  ["raid"] = {
			[l(bz["Blackwing Descent"])] = 1,
		  },
		},
		[l(bz["Hyjal"])] = {
		  ["raid"] = {
			[l(bz["Mount Hyjal"])] = 1,
		  },
		},
		["mandokir"] = {
		  ["raid"] = {
			[l(bz["Zul'Gurub"])] = 1,
		  },
		},
		["curator"] = {
		  ["raid"] = {
			[l(bz["Karazhan"])] = 1,
		  },
		},
		["arg"] = {
		  ["raid"] = {
			[l(bz["Baradin Hold"])] = 1,
		  },
		},
		["enc"] = {
		  ["prof"] = {
			["enc"] = 1,
		  },
		},
		["jewelcrafter"] = {
		  ["prof"] = {
			["jc"] = 1,
		  },
		},
		["gruul"] = {
		  ["raid"] = {
			[l(bz["Gruul's Lair"])] = 1,
		  },
		},
		["uld25"] = {
		  ["raid"] = {
			[l(bz["Ulduar"])] = 1,
		  },
		},
		["blackrock"] = {
		  ["raid"] = {
			[l(bz["Upper Blackrock Spire"])] = 0.75,
		  },
		},
		["tailor"] = {
		  ["prof"] = {
			["tlr"] = 1,
		  },
		},
		["wts"] = {
		  ["type"] = {
			["WTS"] = 1,
		  },
		},
		["princes"] = {
		  ["raid"] = {
			[l(bz["Icecrown Citadel"])] = 0.5,
		  },
		},
		["rag"] = {
		  ["raid"] = {
			[l(bz["Molten Core"])] = 0.5,
			[l(bz["Firelands"])] = 0.75,
		  },
		},
		["mag"] = {
		  ["raid"] = {
			[l(bz["Magtheridon's Lair"])] = 1,
		  },
		},
		[l(bb["Chromaggus"])] = {
		  ["raid"] = {
			[l(bz["Blackwing Lair"])] = 1,
		  },
		},
		[l(bb["Kil'jaeden"])] = {
		  ["raid"] = {
			[l(bz["Sunwell Plateau"])] = 1,
		  },
		},
		["buy"] = {
		  ["type"] = {
			["WTB"] = 0.5,
		  },
		},
		[l(bb["Magmaw"])] = {
		  ["raid"] = {
			[l(bz["Blackwing Descent"])] = 1,
		  },
		},
		[l(bb["M'uru"])] = {
		  ["raid"] = {
			[l(bz["Sunwell Plateau"])] = 1,
		  },
		},
		["buying"] = {
		  ["type"] = {
			["WTB"] = 1,
		  },
		},
		["aq10"] = {
		  ["raid"] = {
			[l(bz["Ruins of Ahn'Qiraj"])] = 1,
		  },
		},
		["tempest"] = {
		  ["raid"] = {
			[l(bz["Tempest Keep"])] = 1,
		  },
		},
		["eoe25"] = {
		  ["raid"] = {
			[l(bz["The Eye of Eternity"])] = 1,
		  },
		},
		[l(bb["Al'ar"])] = {
		  ["raid"] = {
			[l(bz["Tempest Keep"])] = 1,
		  },
		},
		["selling"] = {
		  ["type"] = {
			["WTS"] = 1,
		  },
		},
		["frost"] = {
		  ["class"] = {
			["ma"] = 0.5,
		  },
		},
		["malacrass"] = {
		  ["raid"] = {
			[l(bz["Zul'Aman"])] = 1,
		  },
		},
		[l(bz["Ahn'Qiraj"])] = {
		  ["raid"] = {
			[l(bz["Ruins of Ahn'Qiraj"])] = 0.5,
			[l(bz["Temple of Ahn'Qiraj"])] = 0.5,
		  },
		},
		["icc"] = {
		  ["raid"] = {
			[l(bz["Icecrown Citadel"])] = 1,
		  },
		},
		["rog"] = {
		  ["class"] = {
			["ro"] = 1,
		  },
		},
		["paladin"] = {
		  ["class"] = {
			["pa"] = 1,
		  },
		},
		["lfg"] = {
		  ["type"] = {
			["LFG"] = 1,
		  },
		},
		["dks"] = {
		  ["class"] = {
			["dk"] = 1,
		  },
		},
		["shad"] = {
		  ["class"] = {
			["pr"] = 1,
		  },
		},
		["carrier"] = {
		  ["role"] = {
			["tank"] = 0.5,
		  },
		  ["raid"] = {
			["Rated Battlegrounds"] = 0.5,
		  },
		},
		["deeps"] = {
		  ["role"] = {
			["ranged"] = 1,
			["melee"] = 1,
		  },
		},
		["ascendant"] = {
		  ["raid"] = {
			[l(bz["The Bastion of Twilight"])] = 1,
		  },
		},
		[l(bb["Baleroc"])] = {
		  ["raid"] = {
			[l(bz["Firelands"])] = 1,
		  },
		},
		["naj'entus"] = {
		  ["raid"] = {
			[l(bz["Black Temple"])] = 1,
		  },
		},
		["saurfang"] = {
		  ["raid"] = {
			[l(bz["Icecrown Citadel"])] = 1,
		  },
		},
		["troll"] = {
		  ["raid"] = {
			[l(bz["Zul'Aman"])] = 0.5,
			[l(bz["Zul'Gurub"])] = 0.5,
		  },
		},
		["naxx25"] = {
		  ["raid"] = {
			[l(bz["Naxxramas"])] = 1,
		  },
		},
		["gorefiend"] = {
		  ["raid"] = {
			[l(bz["Black Temple"])] = 1,
		  },
		},
		["link"] = {
		  ["type"] = {
			["LFPROF"] = 0.5,
		  },
		},
		["bastion"] = {
		  ["raid"] = {
			[l(bz["The Bastion of Twilight"])] = 1,
		  },
		},
		["gems"] = {
		  ["prof"] = {
			["jc"] = 0.75,
		  },
		},
		["anetheron"] = {
		  ["raid"] = {
			[l(bz["Mount Hyjal"])] = 1,
		  },
		},
		[l(bb["Firemaw"])] = {
		  ["raid"] = {
			[l(bz["Blackwing Lair"])] = 1,
		  },
		},
		["nef"] = {
		  ["raid"] = {
			[l(bz["Blackwing Descent"])] = 0.75,
		  },
		},
		["warlock"] = {
		  ["class"] = {
			["wa"] = 1,
		  },
		},
		[l(bb["Sindragosa"])] = {
		  ["raid"] = {
			[l(bz["Icecrown Citadel"])] = 1,
		  },
		},
		["madness"] = {
		  ["raid"] = {
			[l(bz["Zul'Gurub"])] = 1,
		  },
		},
		["lock"] = {
		  ["class"] = {
			["wa"] = 0.75,
		  },
		},
		["3's"] = {
		  ["raid"] = {
			["Arenas"] = 1,
		  },
		},
		["majordomo"] = {
		  ["raid"] = {
			[l(bz["Molten Core"])] = 0.5,
			[l(bz["Firelands"])] = 0.75,
		  },
		},
		["ranged"] = {
		  ["role"] = {
			["ranged"] = 1,
		  },
		},
		["elemental"] = {
		  ["class"] = {
			["sh"] = 1,
		  },
		},
		["enhance"] = {
		  ["class"] = {
			["sh"] = 1,
		  },
		},
		["flamewreath"] = {
		  ["raid"] = {
			[l(bz["Upper Blackrock Spire"])] = 1,
		  },
		},
		[l(bb["Garr"])] = {
		  ["raid"] = {
			[l(bz["Molten Core"])] = 1,
		  },
		},
		["skeram"] = {
		  ["raid"] = {
			[l(bz["Temple of Ahn'Qiraj"])] = 1,
		  },
		},
		["bh25"] = {
		  ["raid"] = {
			[l(bz["Baradin Hold"])] = 1,
		  },
		},
		["jc'er"] = {
		  ["prof"] = {
			["jc"] = 1,
		  },
		},
		["enh"] = {
		  ["class"] = {
			["sh"] = 1,
		  },
		},
		["balance"] = {
		  ["class"] = {
			["dr"] = 1,
		  },
		},
		["aq20"] = {
		  ["raid"] = {
			[l(bz["Ruins of Ahn'Qiraj"])] = 1,
		  },
		},
		["bal"] = {
		  ["raid"] = {
			[l(bz["Firelands"])] = 0.75,
		  },
		},
		["huhuran"] = {
		  ["raid"] = {
			[l(bz["Temple of Ahn'Qiraj"])] = 1,
		  },
		},
		["throne"] = {
		  ["raid"] = {
			[l(bz["Throne of the Four Winds"])] = 1,
		  },
		},
		["dpser"] = {
		  ["role"] = {
			["ranged"] = 1,
			["melee"] = 1,
		  },
		},
		["rogue"] = {
		  ["class"] = {
			["ro"] = 1,
		  },
		},
		["everything"] = {
		  ["role"] = {
			["all"] = 1,
		  },
		},
		["engi"] = {
		  ["prof"] = {
			["eng"] = 1,
		  },
		},
		["rhyo"] = {
		  ["raid"] = {
			[l(bz["Firelands"])] = 1,
		  },
		},
		["beasts"] = {
		  ["raid"] = {
			[l(bz["Trial of the Crusader"])] = 0.75,
		  },
		},
		[l(bb["Akil'zon"])] = {
		  ["raid"] = {
			[l(bz["Zul'Aman"])] = 1,
		  },
		},
		["discipline"] = {
		  ["class"] = {
			["pr"] = 1,
		  },
		},
		[l(bb["Mimiron"])] = {
		  ["raid"] = {
			[l(bz["Ulduar"])] = 1,
		  },
		},
		["soulflayer"] = {
		  ["raid"] = {
			[l(bz["Zul'Gurub"])] = 1,
		  },
		},
		["core"] = {
		  ["raid"] = {
			[l(bz["Molten Core"])] = 0.5,
		  },
		},
		["priest"] = {
		  ["class"] = {
			["pr"] = 1,
		  },
		},
		["ony10"] = {
		  ["raid"] = {
			[l(bz["Onyxia's Lair"])] = 1,
		  },
		},
		["damage"] = {
		  ["role"] = {
			["ranged"] = 1,
			["melee"] = 1,
		  },
		},
		["holy"] = {
		  ["class"] = {
			["pr"] = 0.5,
			["pa"] = 0.5,
		  },
		},
		["pally"] = {
		  ["class"] = {
			["pa"] = 1,
		  },
		},
		["retribution"] = {
		  ["class"] = {
			["pa"] = 1,
		  },
		},
		["valthalak"] = {
		  ["raid"] = {
			[l(bz["Upper Blackrock Spire"])] = 1,
		  },
		},
		["cleave"] = {
		  ["raid"] = {
			["Arenas"] = 0.75,
		  },
		},
		["death"] = {
		  ["class"] = {
			["dk"] = 0.5,
		  },
		},
		["knight"] = {
		  ["class"] = {
			["dk"] = 0.5,
		  },
		},
		["buru"] = {
		  ["raid"] = {
			[l(bz["Ruins of Ahn'Qiraj"])] = 1,
		  },
		},
		["blackwing"] = {
		  ["raid"] = {
			[l(bz["Blackwing Descent"])] = 0.75,
			[l(bz["Blackwing Lair"])] = 0.5,
		  },
		},
		["warr"] = {
		  ["class"] = {
			["wr"] = 1,
		  },
		},
		["cat"] = {
		  ["class"] = {
			["dr"] = 1,
		  },
		},
		["protection"] = {
		  ["class"] = {
			["pa"] = 0.5,
			["wr"] = 0.5,
		  },
		},
		["yogg"] = {
		  ["raid"] = {
			[l(bz["Ulduar"])] = 1,
		  },
		},
		["arms"] = {
		  ["class"] = {
			["wr"] = 1,
		  },
		},
		["cuts"] = {
		  ["prof"] = {
			["jc"] = 0.75,
		  },
		},
		["warrior"] = {
		  ["class"] = {
			["wr"] = 1,
		  },
		},
		["aran"] = {
		  ["raid"] = {
			[l(bz["Karazhan"])] = 1,
		  },
		},
		["hunter"] = {
		  ["class"] = {
			["hu"] = 1,
		  },
		},
		["zanzil"] = {
		  ["raid"] = {
			[l(bz["Zul'Gurub"])] = 1,
		  },
		},
		["bot25"] = {
		  ["raid"] = {
			[l(bz["The Bastion of Twilight"])] = 1,
		  },
		},
		["lfw"] = {
		  ["type"] = {
			["LFW"] = 1,
		  },
		},
		["kitty"] = {
		  ["class"] = {
			["dr"] = 1,
		  },
		},
		[l(bb["Nalorakk"])] = {
		  ["raid"] = {
			[l(bz["Zul'Aman"])] = 1,
		  },
		},
		["boomkin"] = {
		  ["class"] = {
			["dr"] = 1,
		  },
		},
		["fury"] = {
		  ["class"] = {
			["wr"] = 1,
		  },
		},
		["drood"] = {
		  ["class"] = {
			["dr"] = 1,
		  },
		},
		["marrowgar"] = {
		  ["raid"] = {
			[l(bz["Icecrown Citadel"])] = 1,
		  },
		},
		[l(bb["Gluth"])] = {
		  ["raid"] = {
			[l(bz["Naxxramas"])] = 1,
		  },
		},
		["goraluk"] = {
		  ["raid"] = {
			[l(bz["Upper Blackrock Spire"])] = 1,
		  },
		},
		["reaver"] = {
		  ["raid"] = {
			[l(bz["Tempest Keep"])] = 1,
		  },
		},
		["jcer"] = {
		  ["prof"] = {
			["jc"] = 1,
		  },
		},
		[l(bb["Shazzrah"])] = {
		  ["raid"] = {
			[l(bz["Molten Core"])] = 1,
		  },
		},
		["feral"] = {
		  ["class"] = {
			["dr"] = 1,
		  },
		},
		["sartura"] = {
		  ["raid"] = {
			[l(bz["Temple of Ahn'Qiraj"])] = 1,
		  },
		},
		["champs"] = {
		  ["raid"] = {
			[l(bz["Trial of the Crusader"])] = 0.75,
		  },
		},
		["firelands"] = {
		  ["raid"] = {
			[l(bz["Firelands"])] = 1,
		  },
		},
		[l(bb["Al'Akir"])] = {
		  ["raid"] = {
			[l(bz["Throne of the Four Winds"])] = 1,
		  },
		},
		["archimonde"] = {
		  ["raid"] = {
			[l(bz["Mount Hyjal"])] = 1,
		  },
		},
		[l(bb["Loatheb"])] = {
		  ["raid"] = {
			[l(bz["Naxxramas"])] = 1,
		  },
		},
		["crowd"] = {
		  ["role"] = {
			["cc"] = 0.25,
		  },
		},
		["kaz'rogal"] = {
		  ["raid"] = {
			[l(bz["Mount Hyjal"])] = 1,
		  },
		},
		["shahraz"] = {
		  ["raid"] = {
			[l(bz["Black Temple"])] = 1,
		  },
		},
		[l(bb["Brutallus"])] = {
		  ["raid"] = {
			[l(bz["Sunwell Plateau"])] = 1,
		  },
		},
		["rs25"] = {
		  ["raid"] = {
			[l(bz["The Ruby Sanctum"])] = 1,
		  },
		},
		["need"] = {
		  ["role"] = {
			["all"] = 0.5,
		  },
		},
		["tlr"] = {
		  ["prof"] = {
			["tlr"] = 1,
		  },
		},
		["all"] = {
		  ["role"] = {
			["all"] = 0.5,
		  },
		},
		["rajaxx"] = {
		  ["raid"] = {
			[l(bz["Ruins of Ahn'Qiraj"])] = 1,
		  },
		},
		["blackhand"] = {
		  ["raid"] = {
			[l(bz["Upper Blackrock Spire"])] = 1,
		  },
		},
		[l(bb["Thaddius"])] = {
		  ["raid"] = {
			[l(bz["Naxxramas"])] = 1,
		  },
		},
		[l(bb["Magtheridon"])] = {
		  ["raid"] = {
			[l(bz["Magtheridon's Lair"])] = 1,
		  },
		},
		["anyone"] = {
		  ["role"] = {
			["all"] = 0.75,
		  },
		},
		["venoxis"] = {
		  ["raid"] = {
			[l(bz["Zul'Gurub"])] = 1,
		  },
		},
		[l(bb["Viscidus"])] = {
		  ["raid"] = {
			[l(bz["Temple of Ahn'Qiraj"])] = 1,
		  },
		},
		["melee"] = {
		  ["role"] = {
			["melee"] = 1,
		  },
		},
		["kael"] = {
		  ["raid"] = {
			[l(bz["Tempest Keep"])] = 1,
		  },
		},
		["offtank"] = {
		  ["role"] = {
			["tank"] = 1,
		  },
		},
		["maintank"] = {
		  ["role"] = {
			["tank"] = 1,
		  },
		},
		["tanks"] = {
		  ["role"] = {
			["tank"] = 1,
		  },
		},
		["staghelm"] = {
		  ["raid"] = {
			[l(bz["Firelands"])] = 1,
		  },
		},
		["disc"] = {
		  ["class"] = {
			["pr"] = 1,
		  },
		},
		["dps"] = {
		  ["role"] = {
			["ranged"] = 1,
			["melee"] = 1,
		  },
		},
		[l(bb["Sapphiron"])] = {
		  ["raid"] = {
			[l(bz["Naxxramas"])] = 1,
		  },
		},
		["lair"] = {
		  ["raid"] = {
			[l(bz["Blackwing Lair"])] = 0.5,
		  },
		},
		["lurker"] = {
		  ["raid"] = {
			[l(bz["Serpentshrine Cavern"])] = 0.75,
		  },
		},
		["wtb"] = {
		  ["type"] = {
			["LFPROF"] = 0.25,
			["WTB"] = 1,
		  },
		},
		["rdps"] = {
		  ["role"] = {
			["ranged"] = 1,
			["melee"] = -1,
		  },
		},
		["lashlayer"] = {
		  ["raid"] = {
			[l(bz["Blackwing Lair"])] = 1,
		  },
		},
		["shammy"] = {
		  ["class"] = {
			["sh"] = 1,
		  },
		},
		["shadow"] = {
		  ["class"] = {
			["pr"] = 1,
		  },
		},
		["5v5"] = {
		  ["raid"] = {
			["Arenas"] = 1,
		  },
		},
		["to4w"] = {
		  ["raid"] = {
			[l(bz["Throne of the Four Winds"])] = 1,
		  },
		},
		["halfus"] = {
		  ["raid"] = {
			[l(bz["The Bastion of Twilight"])] = 1,
		  },
		},
		["bmj"] = {
		  ["raid"] = {
			[l(bz["Mount Hyjal"])] = 1,
		  },
		},
		["2v2"] = {
		  ["raid"] = {
			["Arenas"] = 1,
		  },
		},
		["huntard"] = {
		  ["class"] = {
			["hu"] = 1,
		  },
		},
		["mag25"] = {
		  ["raid"] = {
			[l(bz["Magtheridon's Lair"])] = 1,
		  },
		},
		["ubrs"] = {
		  ["raid"] = {
			[l(bz["Upper Blackrock Spire"])] = 1,
		  },
		},
		[l(bb["C'Thun"])] = {
		  ["raid"] = {
			[l(bz["Temple of Ahn'Qiraj"])] = 1,
		  },
		},
		["bot"] = {
		  ["raid"] = {
			[l(bz["The Bastion of Twilight"])] = 1,
		  },
		},
		[l(bb["Auriaya"])] = {
		  ["raid"] = {
			[l(bz["Ulduar"])] = 1,
		  },
		},
		["maly"] = {
		  ["raid"] = {
			[l(bz["The Eye of Eternity"])] = 1,
		  },
		},
		["tfw25"] = {
		  ["raid"] = {
			[l(bz["Throne of the Four Winds"])] = 1,
		  },
		},
		["cho"] = {
		  ["raid"] = {
			[l(bz["The Bastion of Twilight"])] = 1,
		  },
		},
		["conclave"] = {
		  ["raid"] = {
			[l(bz["Throne of the Four Winds"])] = 1,
		  },
		},
		["chanter"] = {
		  ["prof"] = {
			["enc"] = 1,
		  },
		},
		["tfw10"] = {
		  ["raid"] = {
			[l(bz["Throne of the Four Winds"])] = 1,
		  },
		},
		["bear"] = {
		  ["class"] = {
			["dr"] = 1,
		  },
		},
		["tfw"] = {
		  ["raid"] = {
			[l(bz["Throne of the Four Winds"])] = 1,
		  },
		},
		["2's"] = {
		  ["raid"] = {
			["Arenas"] = 1,
		  },
		},
		["points"] = {
		  ["raid"] = {
			["Arenas"] = 0.5,
		  },
		},
		["ins"] = {
		  ["prof"] = {
			["ins"] = 1,
		  },
		},
		["opera"] = {
		  ["raid"] = {
			[l(bz["Karazhan"])] = 1,
		  },
		},
		["zandalari"] = {
		  ["raid"] = {
			[l(bz["Zul'Aman"])] = 1,
			[l(bz["Zul'Gurub"])] = 1,
		  },
		},
		["5's"] = {
		  ["raid"] = {
			["Arenas"] = 1,
		  },
		},
		["golemagg"] = {
		  ["raid"] = {
			[l(bz["Molten Core"])] = 1,
		  },
		},
		[l(bb["Kalecgos"])] = {
		  ["raid"] = {
			[l(bz["Sunwell Plateau"])] = 1,
		  },
		},
		["exec"] = {
		  ["raid"] = {
			[l(bz["Molten Core"])] = 0.75,
		  },
		},
		["tgc"] = {
		  ["raid"] = {
			[l(bz["Trial of the Crusader"])] = 1,
		  },
		},
		["conquest"] = {
		  ["raid"] = {
			["Arenas"] = 0.5,
		  },
		},
		[l(bb["Lucifron"])] = {
		  ["raid"] = {
			[l(bz["Molten Core"])] = 1,
		  },
		},
		[l(bb["Moam"])] = {
		  ["raid"] = {
			[l(bz["Ruins of Ahn'Qiraj"])] = 1,
		  },
		},
		["arena"] = {
		  ["raid"] = {
			["Arenas"] = 1,
		  },
		},
		[l(bb["Halion"])] = {
		  ["raid"] = {
			[l(bz["The Ruby Sanctum"])] = 1,
		  },
		},
		["flag"] = {
		  ["role"] = {
			["tank"] = 0.5,
		  },
		  ["raid"] = {
			["Rated Battlegrounds"] = 0.5,
		  },
		},
		["bt25"] = {
		  ["raid"] = {
			[l(bz["Black Temple"])] = 1,
		  },
		},
		["arenas"] = {
		  ["raid"] = {
			["Arenas"] = 1,
		  },
		},
		["ubrs10"] = {
		  ["raid"] = {
			[l(bz["Upper Blackrock Spire"])] = 1,
		  },
		},
		["ther"] = {
		  ["raid"] = {
			[l(bz["The Bastion of Twilight"])] = 1,
		  },
		},
		[l(bb["Cho'gall"])] = {
		  ["raid"] = {
			[l(bz["The Bastion of Twilight"])] = 1,
		  },
		},
		["rmp"] = {
		  ["raid"] = {
			["Arenas"] = 0.75,
		  },
		},
		["ssc25"] = {
		  ["raid"] = {
			[l(bz["Serpentshrine Cavern"])] = 1,
		  },
		},
		[l(bb["Ebonroc"])] = {
		  ["raid"] = {
			[l(bz["Blackwing Lair"])] = 1,
		  },
		},
		["toc10"] = {
		  ["raid"] = {
			[l(bz["Trial of the Crusader"])] = 1,
		  },
		},
		[l(bb["Argaloth"])] = {
		  ["raid"] = {
			[l(bz["Baradin Hold"])] = 1,
		  },
		},
		[l(bb["Grobbulus"])] = {
		  ["raid"] = {
			[bz["Naxxramas"]] = 1,
		  },
		},
		["ret"] = {
		  ["class"] = {
			["pa"] = 1,
		  },
		},
		["icc25"] = {
		  ["raid"] = {
			[bz["Icecrown Citadel"]] = 1,
		  },
		},
		["lf1m"] = {
		  ["type"] = {
			["LFM"] = 1,
		  },
		},
		[l(bb["Halazzi"])] = {
		  ["raid"] = {
			[bz["Zul'Aman"]] = 1,
		  },
		},
		["tidewalker"] = {
		  ["raid"] = {
			[bz["Serpentshrine Cavern"]] = 1,
		  },
		},
		["tailoring"] = {
		  ["prof"] = {
			["tlr"] = 1,
		  },
		},
		[l(bb["Kologarn"])] = {
		  ["raid"] = {
			[bz["Ulduar"]] = 1,
		  },
		},
		["eoe10"] = {
		  ["raid"] = {
			[bz["The Eye of Eternity"]] = 1,
		  },
		},
		[l(bb["Sinestra"])] = {
		  ["raid"] = {
			[bz["The Bastion of Twilight"]] = 1,
		  },
		},
		[l(bb["Gehennas"])] = {
		  ["raid"] = {
			[bz["Molten Core"]] = 1,
		  },
		},
		[l(bb["Flamegor"])] = {
		  ["raid"] = {
			[bz["Blackwing Lair"]] = 1,
		  },
		},
		[l(bb["Patchwerk"])] = {
		  ["raid"] = {
			[bz["Naxxramas"]] = 1,
		  },
		},
		["fankriss"] = {
		  ["raid"] = {
			[bz["Temple of Ahn'Qiraj"]] = 1,
		  },
		},
		["eternity"] = {
		  ["raid"] = {
			[bz["The Eye of Eternity"]] = 0.5,
		  },
		},
		["voa25"] = {
		  ["raid"] = {
			[bz["Vault of Archavon"]] = 1,
		  },
		},
		["uld10"] = {
		  ["raid"] = {
			[bz["Ulduar"]] = 1,
		  },
		},
		["anub"] = {
		  ["raid"] = {
			[bz["Trial of the Crusader"]] = 1,
		  },
		},
		["leviathan"] = {
		  ["raid"] = {
			[bz["Ulduar"]] = 1,
		  },
		},
		["algalon"] = {
		  ["raid"] = {
			[bz["Ulduar"]] = 1,
		  },
		},
		["queen"] = {
		  ["raid"] = {
			[bz["Icecrown Citadel"]] = 0.5,
		  },
		},
		["vezax"] = {
		  ["raid"] = {
			[bz["Ulduar"]] = 1,
		  },
		},
		[l(bb["Razorscale"])] = {
		  ["raid"] = {
			[bz["Ulduar"]] = 1,
		  },
		},
		["lfm"] = {
		  ["type"] = {
			["LFM"] = 1,
		  },
		},
		["assembly"] = {
		  ["raid"] = {
			[bz["Ulduar"]] = 1,
		  },
		},
		[l(bb["Felmyst"])] = {
		  ["raid"] = {
			[bz["Sunwell Plateau"]] = 1,
		  },
		},
		[l(bb["Rotface"])] = {
		  ["raid"] = {
			[bz["Icecrown Citadel"]] = 1,
		  },
		},
		[l(bb["Malygos"])] = {
		  ["raid"] = {
			[bz["The Eye of Eternity"]] = 1,
		  },
		},
		["gunship"] = {
		  ["raid"] = {
			[bz["Icecrown Citadel"]] = 1,
		  },
		},
		[l(bb["Thorim"])] = {
		  ["raid"] = {
			[bz["Ulduar"]] = 1,
		  },
		},
		["lwer"] = {
		  ["prof"] = {
			["lw"] = 1,
		  },
		},
		["jaraxxus"] = {
		  ["raid"] = {
			[bz["Trial of the Crusader"]] = 1,
		  },
		},
		[l(bb["Onyxia"])] = {
		  ["raid"] = {
			[bz["Onyxia's Lair"]] = 1,
		  },
		},
		["transmutation"] = {
		  ["prof"] = {
			["alc"] = 1,
		  },
		},
		[l(bb["Hodir"])] = {
		  ["raid"] = {
			[bz["Ulduar"]] = 1,
		  },
		},
		["deconstructor"] = {
		  ["raid"] = {
			[bz["Ulduar"]] = 1,
		  },
		},
		["os3d"] = {
		  ["raid"] = {
			[bz["The Obsidian Sanctum"]] = 1,
		  },
		},
		["prot"] = {
		  ["class"] = {
			["pa"] = 0.5,
			["wr"] = 0.5,
		  },
		},
		[l(bb["Supremus"])] = {
		  ["raid"] = {
			[bz["Black Temple"]] = 1,
		  },
		},
		["armorsmith"] = {
		  ["prof"] = {
			["bs"] = 1,
		  },
		},
		[l(bb["Sartharion"])] = {
		  ["raid"] = {
			[bz["The Obsidian Sanctum"]] = 1,
		  },
		},
		["horsemen"] = {
		  ["raid"] = {
			[bz["Naxxramas"]] = 1,
		  },
		},
		["bot10"] = {
		  ["raid"] = {
			[bz["The Bastion of Twilight"]] = 1,
		  },
		},
		[l(bz["Naxxramas"])] = {
		  ["raid"] = {
			[bz["Naxxramas"]] = 1,
		  },
		},
		["heigan"] = {
		  ["raid"] = {
			[bz["Naxxramas"]] = 1,
		  },
		},
		[l(bb["Kel'Thuzad"])] = {
		  ["raid"] = {
			[bz["Naxxramas"]] = 1,
		  },
		},
		["noth"] = {
		  ["raid"] = {
			[bz["Naxxramas"]] = 1,
		  },
		},
		["emberseer"] = {
		  ["raid"] = {
			[bz["Upper Blackrock Spire"]] = 1,
		  },
		},
		[l(bb["Maexxna"])] = {
		  ["raid"] = {
			[bz["Naxxramas"]] = 1,
		  },
		},
		[l(bb["Anub'Rekhan"])] = {
		  ["raid"] = {
			[bz["Naxxramas"]] = 1,
		  },
		},
		["naxx"] = {
		  ["raid"] = {
			[bz["Naxxramas"]] = 1,
		  },
		},
		["razuvious"] = {
		  ["raid"] = {
			[bz["Naxxramas"]] = 1,
		  },
		},
		["maulgar"] = {
		  ["raid"] = {
			[bz["Gruul's Lair"]] = 1,
		  },
		},
		[l(bz["Zul'Aman"])] = {
		  ["raid"] = {
			[bz["Zul'Aman"]] = 1,
		  },
		},
		["virtue"] = {
		  ["raid"] = {
			[bz["Karazhan"]] = 1,
		  },
		},
		[l(bb["Kurinnaxx"])] = {
		  ["raid"] = {
			[bz["Ruins of Ahn'Qiraj"]] = 1,
		  },
		},
		["kara10"] = {
		  ["raid"] = {
			[bz["Karazhan"]] = 1,
		  },
		},
		[l(bb["Moroes"])] = {
		  ["raid"] = {
			[bz["Karazhan"]] = 1,
		  },
		},
		["chess"] = {
		  ["raid"] = {
			[bz["Karazhan"]] = 1,
		  },
		},
		["vashj"] = {
		  ["raid"] = {
			[bz["Serpentshrine Cavern"]] = 0.75,
		  },
		},
		["mc40"] = {
		  ["raid"] = {
			[bz["Molten Core"]] = 1,
		  },
		},
		[l(bb["Nightbane"])] = {
		  ["raid"] = {
			[bz["Karazhan"]] = 1,
		  },
		},
		[l(bb["Netherspite"])] = {
		  ["raid"] = {
			[bz["Karazhan"]] = 1,
		  },
		},
		["sunwell"] = {
		  ["raid"] = {
			[bz["Sunwell Plateau"]] = 1,
		  },
		},
		["attumen"] = {
		  ["raid"] = {
			[bz["Karazhan"]] = 1,
		  },
		},
		["illhoof"] = {
		  ["raid"] = {
			[bz["Karazhan"]] = 1,
		  },
		},
		["kz10"] = {
		  ["raid"] = {
			[bz["Karazhan"]] = 1,
		  },
		},
		["hydross"] = {
		  ["raid"] = {
			[bz["Serpentshrine Cavern"]] = 1,
		  },
		},
		["malchezaar"] = {
		  ["raid"] = {
			[bz["Karazhan"]] = 1,
		  },
		},
		["illidari"] = {
		  ["raid"] = {
			[bz["Black Temple"]] = 1,
		  },
		},
		["sunstrider"] = {
		  ["raid"] = {
			[bz["Tempest Keep"]] = 1,
		  },
		},
		[l(bb["Chimaeron"])] = {
		  ["raid"] = {
			[bz["Blackwing Descent"]] = 1,
		  },
		},
		["bwd10"] = {
		  ["raid"] = {
			[bz["Blackwing Descent"]] = 1,
		  },
		},
		[l(bb["Entropius"])] = {
		  ["raid"] = {
			[bz["Sunwell Plateau"]] = 1,
		  },
		},
		["uld"] = {
		  ["raid"] = {
			[bz["Ulduar"]] = 1,
		  },
		},
		["domo"] = {
		  ["raid"] = {
			[bz["Molten Core"]] = 0.5,
			[bz["Firelands"]] = 0.75,
		  },
		},
		["healer"] = {
		  ["role"] = {
			["healer"] = 1,
		  },
		},
		["leotheras"] = {
		  ["raid"] = {
			[bz["Serpentshrine Cavern"]] = 1,
		  },
		},
		["cutting"] = {
		  ["type"] = {
			["LFW"] = 1,
		  },
		},
		["temple"] = {
		  ["raid"] = {
			[bz["Temple of Ahn'Qiraj"]] = 0.5,
			[bz["Black Temple"]] = 0.75,
		  },
		},
		["voa"] = {
		  ["raid"] = {
			[bz["Vault of Archavon"]] = 1,
		  },
		},
		[l(bb["Ragnaros"])] = {
		  ["raid"] = {
			[bz["Molten Core"]] = 0.5,
			[bz["Firelands"]] = 0.75,
		  },
		},
		["tank"] = {
		  ["role"] = {
			["tank"] = 1,
		  },
		},
		["toravon"] = {
		  ["raid"] = {
			[bz["Vault of Archavon"]] = 1,
		  },
		},
		["solarian"] = {
		  ["raid"] = {
			[bz["Tempest Keep"]] = 1,
		  },
		},
		["alc"] = {
		  ["prof"] = {
			["alc"] = 1,
		  },
		},
		["sathrovarr"] = {
		  ["raid"] = {
			[bz["Sunwell Plateau"]] = 1,
		  },
		},
		["sandworm"] = {
		  ["raid"] = {
			[bz["Temple of Ahn'Qiraj"]] = 1,
		  },
		},
		["aq40"] = {
		  ["raid"] = {
			[bz["Temple of Ahn'Qiraj"]] = 1,
		  },
		},
		["bmj25"] = {
		  ["raid"] = {
			[bz["Mount Hyjal"]] = 1,
		  },
		},
		[l(bb["Nefarian"])] = {
		  ["raid"] = {
			[bz["Blackwing Descent"]] = 0.75,
			[bz["Blackwing Lair"]] = 0.5,
		  },
		},
		["rated"] = {
		  ["raid"] = {
			["Rated Battlegrounds"] = 1,
		  },
		},
		["citadel"] = {
		  ["raid"] = {
			[bz["Icecrown Citadel"]] = 0.5,
		  },
		},
		["blacksmith"] = {
		  ["prof"] = {
			["bs"] = 1,
		  },
		},
		["elixir"] = {
		  ["prof"] = {
			["alc"] = 1,
		  },
		},
		["xmute"] = {
		  ["prof"] = {
			["alc"] = 1,
		  },
		},
		["inscriber"] = {
		  ["prof"] = {
			["ins"] = 1,
		  },
		},
		["ele"] = {
		  ["class"] = {
			["sh"] = 1,
		  },
		},
		["mdps"] = {
		  ["role"] = {
			["ranged"] = -1,
			["melee"] = 1,
		  },
		},
		["ml25"] = {
		  ["raid"] = {
			[bz["Magtheridon's Lair"]] = 1,
		  },
		},
		[l(bb["Freya"])] = {
		  ["raid"] = {
			[bz["Ulduar"]] = 1,
		  },
		},
		["gyth"] = {
		  ["raid"] = {
			[bz["Upper Blackrock Spire"]] = 1,
		  },
		},
		["leatherworker"] = {
		  ["prof"] = {
			["lw"] = 1,
		  },
		},
		["executus"] = {
		  ["raid"] = {
			[bz["Molten Core"]] = 1,
		  },
		},
		[l(bb["Magmadar"])] = {
		  ["raid"] = {
			[bz["Molten Core"]] = 1,
		  },
		},
		[l(bz["Karazhan"])] = {
		  ["raid"] = {
			[bz["Karazhan"]] = 1,
		  },
		},
		["rs10"] = {
		  ["raid"] = {
			[bz["The Ruby Sanctum"]] = 1,
		  },
		},
		["pala"] = {
		  ["class"] = {
			["pa"] = 1,
		  },
		},
		["control"] = {
		  ["role"] = {
			["cc"] = 0.25,
		  },
		},
		["ossirian"] = {
		  ["raid"] = {
			[bz["Ruins of Ahn'Qiraj"]] = 1,
		  },
		},
		["vaelastrasz"] = {
		  ["raid"] = {
			[bz["Blackwing Lair"]] = 1,
		  },
		},
		["gothik"] = {
		  ["raid"] = {
			[bz["Naxxramas"]] = 1,
		  },
		},
		["work"] = {
		  ["type"] = {
			["LFW"] = 1,
		  },
		},
		["ony"] = {
		  ["raid"] = {
			[bz["Onyxia's Lair"]] = 1,
		  },
		},
		["archavon"] = {
		  ["raid"] = {
			[bz["Vault of Archavon"]] = 1,
		  },
		},
		["emalon"] = {
		  ["raid"] = {
			[bz["Vault of Archavon"]] = 1,
		  },
		},
		["jewel"] = {
		  ["prof"] = {
			["jc"] = 0.5,
		  },
		},
		[l(bb["Anub'arak"])] = {
		  ["raid"] = {
			[bz["Trial of the Crusader"]] = 1,
		  },
		},
		["jed"] = {
		  ["raid"] = {
			[bz["Upper Blackrock Spire"]] = 1,
		  },
		},
		["koralon"] = {
		  ["raid"] = {
			[bz["Vault of Archavon"]] = 1,
		  },
		},
		[l(bb["Gahz'ranka"])] = {
		  ["raid"] = {
			[bz["Zul'Gurub"]] = 1,
		  },
		},
		["alchemist"] = {
		  ["prof"] = {
			["alc"] = 1,
		  },
		},
		["voa10"] = {
		  ["raid"] = {
			[bz["Vault of Archavon"]] = 1,
		  },
		},
		["weaponsmith"] = {
		  ["prof"] = {
			["bs"] = 1,
		  },
		},
		[l(bb["Maloriak"])] = {
		  ["raid"] = {
			[bz["Blackwing Descent"]] = 1,
		  },
		},
		[l(bz["Ulduar"])] = {
		  ["raid"] = {
			[bz["Ulduar"]] = 1,
		  },
		},
		["anything"] = {
		  ["role"] = {
			["all"] = 0.5,
		  },
		},
		["any"] = {
		  ["type"] = {
			["LFPROF"] = 0.5,
		  },
		},
		["alys"] = {
		  ["raid"] = {
			[bz["Firelands"]] = 1,
		  },
		},
		["deathknight"] = {
		  ["class"] = {
			["dk"] = 1,
		  },
		},
		["looking"] = {
		  ["type"] = {
			["LFM"] = 0.5,
			["LFPROF"] = 0.5,
			["LFG"] = 0.5,
		  },
		},
		[l(bz["Zul'Gurub"])] = {
		  ["raid"] = {
			[bz["Zul'Gurub"]] = 1,
		  },
		},
		["jin'do"] = {
		  ["raid"] = {
			[bz["Zul'Gurub"]] = 1,
		  },
		},
		["bloodboil"] = {
		  ["raid"] = {
			[bz["Black Temple"]] = 1,
		  },
		},
		["molten"] = {
		  ["raid"] = {
			[bz["Molten Core"]] = 0.75,
		  },
		},
		["bwl"] = {
		  ["raid"] = {
			[bz["Blackwing Lair"]] = 1,
		  },
		},
		["bh10"] = {
		  ["raid"] = {
			[bz["Baradin Hold"]] = 1,
		  },
		},
		["omnotron"] = {
		  ["raid"] = {
			[bz["Blackwing Descent"]] = 1,
		  },
		},
		["enchanter"] = {
		  ["prof"] = {
			["enc"] = 1,
		  },
		},
		["bwd"] = {
		  ["raid"] = {
			[bz["Blackwing Descent"]] = 1,
		  },
		},
		["enchant"] = {
		  ["prof"] = {
			["enc"] = 1,
		  },
		},
		["putricide"] = {
		  ["raid"] = {
			[bz["Icecrown Citadel"]] = 1,
		  },
		},
		["jen'alai"] = {
		  ["raid"] = {
			[bz["Zul'Aman"]] = 1,
		  },
		},
		["eredar"] = {
		  ["raid"] = {
			[bz["Sunwell Plateau"]] = 1,
		  },
		},
		["emperors"] = {
		  ["raid"] = {
			[bz["Temple of Ahn'Qiraj"]] = 0.75,
		  },
		},
		["eng"] = {
		  ["prof"] = {
			["eng"] = 1,
		  },
		},
		["serpentshrine"] = {
		  ["raid"] = {
			[bz["Serpentshrine Cavern"]] = 1,
		  },
		},
		["comp"] = {
		  ["raid"] = {
			["Arenas"] = 0.75,
		  },
		},
		["karathress"] = {
		  ["raid"] = {
			[bz["Serpentshrine Cavern"]] = 1,
		  },
		},
		["group"] = {
		  ["type"] = {
			["LFG"] = 0.5,
		  },
		},
		["reliquary"] = {
		  ["raid"] = {
			[bz["Black Temple"]] = 1,
		  },
		},
		["partner"] = {
		  ["type"] = {
			["LFM"] = 0.5,
			["LFG"] = 0.5,
		  },
		},
		["drakkisath"] = {
		  ["raid"] = {
			[bz["Upper Blackrock Spire"]] = 1,
		  },
		},
		["ignis"] = {
		  ["raid"] = {
			[bz["Ulduar"]] = 1,
		  },
		},
		["deathwhisper"] = {
		  ["raid"] = {
			[bz["Icecrown Citadel"]] = 1,
		  },
		},
		[l(bb["Ouro"])] = {
		  ["raid"] = {
			[bz["Temple of Ahn'Qiraj"]] = 1,
		  },
		},
		["crafting"] = {
		  ["type"] = {
			["LFW"] = 1,
		  },
		},
		["scribe"] = {
		  ["prof"] = {
			["ins"] = 1,
		  },
		},
		["kael'thas"] = {
		  ["raid"] = {
			[bz["Tempest Keep"]] = 1,
		  },
		},
		["dreamwalker"] = {
		  ["raid"] = {
			[bz["Icecrown Citadel"]] = 1,
		  },
		},
		["winterchill"] = {
		  ["raid"] = {
			[bz["Mount Hyjal"]] = 1,
		  },
		},
		["inscriptions"] = {
		  ["prof"] = {
			["ins"] = 1,
		  },
		},
		["twins"] = {
		  ["raid"] = {
			[bz["Trial of the Crusader"]] = 0.75,
		  },
		},
		["shaman"] = {
		  ["class"] = {
			["sh"] = 1,
		  },
		},
		["ssc"] = {
		  ["raid"] = {
			[bz["Serpentshrine Cavern"]] = 1,
		  },
		},
		["arlokk"] = {
		  ["raid"] = {
			[bz["Zul'Gurub"]] = 1,
		  },
		},
		["mage"] = {
		  ["class"] = {
			["ma"] = 1,
		  },
		  ["raid"] = {
			[bz["Magtheridon's Lair"]] = -1,
		  },
		},
		["valiona"] = {
		  ["raid"] = {
			[bz["The Bastion of Twilight"]] = 1,
		  },
		},
		["cutter"] = {
		  ["prof"] = {
			["jc"] = 0.5,
		  },
		},
		["engineer"] = {
		  ["prof"] = {
			["eng"] = 1,
		  },
		},
		["lich"] = {
		  ["raid"] = {
			[bz["Icecrown Citadel"]] = 1,
		  },
		},
		["potion"] = {
		  ["prof"] = {
			["alc"] = 1,
		  },
		},
		["ayamiss"] = {
		  ["raid"] = {
			[bz["Ruins of Ahn'Qiraj"]] = 1,
		  },
		},
		["eye"] = {
		  ["raid"] = {
			[bz["The Eye of Eternity"]] = 0.5,
		  },
		},
		["crafter"] = {
		  ["prof"] = {
			["misc"] = 1,
		  },
		},
		["sarth"] = {
		  ["raid"] = {
			[bz["The Obsidian Sanctum"]] = 1,
		  },
		},
		["3v3"] = {
		  ["raid"] = {
			["Arenas"] = 1,
		  },
		},
	  }
	}

end
